<?php

/**
 * @file
 * achievement_badges.features.field.inc
 */

/**
 * Implements hook_field_default_fields().
 */
function achievement_badges_field_default_fields() {
    $fields = array();

    // Exported field: 'achievement_entity-badges-field_badge_entity_criteria'.
    $fields['achievement_entity-badges-field_badge_entity_criteria'] = array(
        'field_config' => array(
            'active' => '1',
            'cardinality' => '1',
            'deleted' => '0',
            'entity_types' => array(),
            'field_name' => 'field_badge_entity_criteria',
            'field_permissions' => array(
                'type' => '0',
            ),
            'foreign keys' => array(),
            'indexes' => array(),
            'locked' => '0',
            'module' => 'link',
            'settings' => array(
                'attributes' => array(
                    'class' => '',
                    'rel' => '',
                    'target' => 'default',
                ),
                'display' => array(
                    'url_cutoff' => 80,
                ),
                'enable_tokens' => 1,
                'profile2_private' => FALSE,
                'title' => 'optional',
                'title_maxlength' => 128,
                'title_value' => '',
                'url' => 0,
            ),
            'translatable' => '1',
            'type' => 'link_field',
        ),
        'field_instance' => array(
            'bundle' => 'badges',
            'default_value' => NULL,
            'deleted' => '0',
            'description' => ' URL describing the badge and criteria for earning the badge according to Open Badge Infrastructure (OBI) complaint. ',
            'display' => array(
                'default' => array(
                    'label' => 'above',
                    'module' => 'link',
                    'settings' => array(),
                    'type' => 'link_default',
                    'weight' => '13',
                ),
            ),
            'entity_type' => 'achievement_entity',
            'field_name' => 'field_badge_entity_criteria',
            'label' => 'Criteria',
            'required' => 1,
            'settings' => array(
                'attributes' => array(
                    'class' => '',
                    'configurable_title' => 0,
                    'rel' => '',
                    'target' => 'default',
                    'title' => '',
                ),
                'display' => array(
                    'url_cutoff' => '80',
                ),
                'enable_tokens' => 1,
                'rel_remove' => 'default',
                'title' => 'none',
                'title_maxlength' => '128',
                'title_value' => '',
                'url' => 0,
                'user_register_form' => FALSE,
                'validate_url' => 1,
            ),
            'widget' => array(
                'active' => 0,
                'module' => 'link',
                'settings' => array(),
                'type' => 'link_field',
                'weight' => '4',
            ),
        ),
    );

    // Exported field: 'achievement_entity-badges-field_badge_entity_description'.
    $fields['achievement_entity-badges-field_badge_entity_description'] = array(
        'field_config' => array(
            'active' => '1',
            'cardinality' => '1',
            'deleted' => '0',
            'entity_types' => array(),
            'field_name' => 'field_badge_entity_description',
            'field_permissions' => array(
                'type' => '0',
            ),
            'foreign keys' => array(
                'format' => array(
                    'columns' => array(
                        'format' => 'format',
                    ),
                    'table' => 'filter_format',
                ),
            ),
            'indexes' => array(
                'format' => array(
                    0 => 'format',
                ),
            ),
            'locked' => '0',
            'module' => 'text',
            'settings' => array(
                'profile2_private' => FALSE,
            ),
            'translatable' => '1',
            'type' => 'text_long',
        ),
        'field_instance' => array(
            'bundle' => 'badges',
            'default_value' => NULL,
            'deleted' => '0',
            'description' => 'Description of the badge. Maximum of 128 characters according to Open Badge Infrastructure (OBI) complaint.',
            'display' => array(
                'default' => array(
                    'label' => 'above',
                    'module' => 'text',
                    'settings' => array(),
                    'type' => 'text_default',
                    'weight' => '4',
                ),
            ),
            'entity_type' => 'achievement_entity',
            'field_name' => 'field_badge_entity_description',
            'label' => 'Description',
            'required' => 1,
            'settings' => array(
                'text_processing' => '0',
                'user_register_form' => FALSE,
            ),
            'widget' => array(
                'active' => 1,
                'module' => 'text',
                'settings' => array(
                    'rows' => '2',
                ),
                'type' => 'text_textarea',
                'weight' => '3',
            ),
        ),
    );

    // Exported field: 'achievement_entity-badges-field_badge_entity_evidence'.
    $fields['achievement_entity-badges-field_badge_entity_evidence'] = array(
        'field_config' => array(
            'active' => '1',
            'cardinality' => '1',
            'deleted' => '0',
            'entity_types' => array(),
            'field_name' => 'field_badge_entity_evidence',
            'field_permissions' => array(
                'type' => '0',
            ),
            'foreign keys' => array(),
            'indexes' => array(),
            'locked' => '0',
            'module' => 'link',
            'settings' => array(
                'attributes' => array(
                    'class' => '',
                    'rel' => '',
                    'target' => 'default',
                ),
                'display' => array(
                    'url_cutoff' => 80,
                ),
                'enable_tokens' => 1,
                'profile2_private' => FALSE,
                'title' => 'optional',
                'title_maxlength' => 128,
                'title_value' => '',
                'url' => 0,
            ),
            'translatable' => '1',
            'type' => 'link_field',
        ),
        'field_instance' => array(
            'bundle' => 'badges',
            'default_value' => NULL,
            'deleted' => '0',
            'description' => 'Earner-specific URL with information about how the specific Earer earned the badge according to Open Badge Infrastructure (OBI) complaint.',
            'display' => array(
                'default' => array(
                    'label' => 'above',
                    'module' => 'link',
                    'settings' => array(),
                    'type' => 'link_default',
                    'weight' => '14',
                ),
            ),
            'entity_type' => 'achievement_entity',
            'field_name' => 'field_badge_entity_evidence',
            'label' => 'Evidence',
            'required' => 1,
            'settings' => array(
                'attributes' => array(
                    'class' => '',
                    'configurable_title' => 0,
                    'rel' => '',
                    'target' => 'default',
                    'title' => '',
                ),
                'display' => array(
                    'url_cutoff' => '80',
                ),
                'enable_tokens' => 1,
                'rel_remove' => 'default',
                'title' => 'none',
                'title_maxlength' => '128',
                'title_value' => '',
                'url' => 0,
                'user_register_form' => FALSE,
                'validate_url' => 1,
            ),
            'widget' => array(
                'active' => 0,
                'module' => 'link',
                'settings' => array(),
                'type' => 'link_field',
                'weight' => '5',
            ),
        ),
    );

    // Exported field: 'achievement_entity-badges-field_badge_entity_expiration'.
    $fields['achievement_entity-badges-field_badge_entity_expiration'] = array(
        'field_config' => array(
            'active' => '1',
            'cardinality' => '1',
            'deleted' => '0',
            'entity_types' => array(),
            'field_name' => 'field_badge_entity_expiration',
            'field_permissions' => array(
                'type' => '0',
            ),
            'foreign keys' => array(),
            'indexes' => array(),
            'locked' => '0',
            'module' => 'date',
            'settings' => array(
                'cache_count' => '4',
                'cache_enabled' => 0,
                'granularity' => array(
                    'day' => 'day',
                    'hour' => 0,
                    'minute' => 0,
                    'month' => 'month',
                    'second' => 0,
                    'year' => 'year',
                ),
                'profile2_private' => FALSE,
                'timezone_db' => '',
                'todate' => '',
                'tz_handling' => 'none',
            ),
            'translatable' => '1',
            'type' => 'datetime',
        ),
        'field_instance' => array(
            'bundle' => 'badges',
            'deleted' => '0',
            'description' => 'Date when the badge expires. If omitted, the badge never expires according to Open Badge Infrastructure (OBI) complaint.',
            'display' => array(
                'default' => array(
                    'label' => 'above',
                    'module' => 'date',
                    'settings' => array(
                        'format_type' => 'long',
                        'fromto' => 'both',
                        'multiple_from' => '',
                        'multiple_number' => '',
                        'multiple_to' => '',
                    ),
                    'type' => 'date_default',
                    'weight' => '7',
                ),
            ),
            'entity_type' => 'achievement_entity',
            'field_name' => 'field_badge_entity_expiration',
            'label' => 'Expiration Date',
            'required' => 0,
            'settings' => array(
                'default_value' => 'strtotime',
                'default_value2' => 'same',
                'default_value_code' => '+1 year',
                'default_value_code2' => '',
                'user_register_form' => FALSE,
            ),
            'widget' => array(
                'active' => 1,
                'module' => 'date',
                'settings' => array(
                    'increment' => 15,
                    'input_format' => 'custom',
                    'input_format_custom' => 'm-d-Y',
                    'label_position' => 'none',
                    'text_parts' => array(),
                    'year_range' => '-3:+3',
                ),
                'type' => 'date_popup',
                'weight' => '6',
            ),
        ),
    );

    // Exported field: 'achievement_entity-badges-field_badge_entity_issued_date'.
    $fields['achievement_entity-badges-field_badge_entity_issued_date'] = array(
        'field_config' => array(
            'active' => '1',
            'cardinality' => '1',
            'deleted' => '0',
            'entity_types' => array(),
            'field_name' => 'field_badge_entity_issued_date',
            'field_permissions' => array(
                'type' => '0',
            ),
            'foreign keys' => array(),
            'indexes' => array(),
            'locked' => '0',
            'module' => 'date',
            'settings' => array(
                'cache_count' => '4',
                'cache_enabled' => 0,
                'granularity' => array(
                    'day' => 'day',
                    'hour' => 0,
                    'minute' => 0,
                    'month' => 'month',
                    'second' => 0,
                    'year' => 'year',
                ),
                'profile2_private' => FALSE,
                'timezone_db' => '',
                'todate' => '',
                'tz_handling' => 'none',
            ),
            'translatable' => '1',
            'type' => 'datetime',
        ),
        'field_instance' => array(
            'bundle' => 'badges',
            'deleted' => '0',
            'description' => 'Date when badge was issued according to Open Badge Infrastructure (OBI) complaint.',
            'display' => array(
                'default' => array(
                    'label' => 'above',
                    'module' => 'date',
                    'settings' => array(
                        'format_type' => 'long',
                        'fromto' => 'both',
                        'multiple_from' => '',
                        'multiple_number' => '',
                        'multiple_to' => '',
                    ),
                    'type' => 'date_default',
                    'weight' => '8',
                ),
            ),
            'entity_type' => 'achievement_entity',
            'field_name' => 'field_badge_entity_issued_date',
            'label' => 'Issued Date',
            'required' => 0,
            'settings' => array(
                'default_value' => 'now',
                'default_value2' => 'same',
                'default_value_code' => '',
                'default_value_code2' => '',
                'user_register_form' => FALSE,
            ),
            'widget' => array(
                'active' => 1,
                'module' => 'date',
                'settings' => array(
                    'increment' => 15,
                    'input_format' => 'custom',
                    'input_format_custom' => 'm-d-Y',
                    'label_position' => 'none',
                    'text_parts' => array(),
                    'year_range' => '-3:+3',
                ),
                'type' => 'date_popup',
                'weight' => '7',
            ),
        ),
    );

    // Exported field: 'achievement_entity-badges-field_badge_entity_lock_image'.
    $fields['achievement_entity-badges-field_badge_entity_lock_image'] = array(
        'field_config' => array(
            'active' => '1',
            'cardinality' => '1',
            'deleted' => '0',
            'entity_types' => array(),
            'field_name' => 'field_badge_entity_lock_image',
            'field_permissions' => array(
                'type' => '0',
            ),
            'foreign keys' => array(
                'fid' => array(
                    'columns' => array(
                        'fid' => 'fid',
                    ),
                    'table' => 'file_managed',
                ),
            ),
            'indexes' => array(
                'fid' => array(
                    0 => 'fid',
                ),
            ),
            'locked' => '0',
            'module' => 'image',
            'settings' => array(
                'default_image' => 0,
                'profile2_private' => FALSE,
                'uri_scheme' => 'public',
            ),
            'translatable' => '1',
            'type' => 'image',
        ),
        'field_instance' => array(
            'bundle' => 'badges',
            'deleted' => '0',
            'description' => 'Upload image in png format. Maximum size 256kb',
            'display' => array(
                'default' => array(
                    'label' => 'above',
                    'module' => 'image',
                    'settings' => array(
                        'image_link' => '',
                        'image_style' => '110_110',
                    ),
                    'type' => 'image',
                    'weight' => '3',
                ),
            ),
            'entity_type' => 'achievement_entity',
            'field_name' => 'field_badge_entity_lock_image',
            'label' => 'Locked image',
            'required' => 1,
            'settings' => array(
                'alt_field' => 0,
                'default_image' => 0,
                'file_directory' => '',
                'file_extensions' => 'png',
                'max_filesize' => '256 KB',
                'max_resolution' => '',
                'min_resolution' => '',
                'title_field' => 0,
                'user_register_form' => FALSE,
            ),
            'widget' => array(
                'active' => 1,
                'module' => 'image',
                'settings' => array(
                    'preview_image_style' => 'thumbnail',
                    'progress_indicator' => 'throbber',
                ),
                'type' => 'image_image',
                'weight' => '2',
            ),
        ),
    );

    // Exported field: 'achievement_entity-badges-field_badge_entity_program'.
    $fields['achievement_entity-badges-field_badge_entity_program'] = array(
        'field_config' => array(
            'active' => '1',
            'cardinality' => '1',
            'deleted' => '0',
            'entity_types' => array(),
            'field_name' => 'field_badge_entity_program',
            'field_permissions' => array(
                'type' => '2',
            ),
            'foreign keys' => array(
                'tid' => array(
                    'columns' => array(
                        'tid' => 'tid',
                    ),
                    'table' => 'taxonomy_term_data',
                ),
            ),
            'indexes' => array(
                'tid' => array(
                    0 => 'tid',
                ),
            ),
            'locked' => '0',
            'module' => 'taxonomy',
            'settings' => array(
                'allowed_values' => array(
                    0 => array(
                        'vocabulary' => 'program',
                        'parent' => '0',
                    ),
                ),
                'profile2_private' => FALSE,
            ),
            'translatable' => '1',
            'type' => 'taxonomy_term_reference',
        ),
        'field_instance' => array(
            'bundle' => 'badges',
            'default_value' => NULL,
            'deleted' => '0',
            'description' => 'Taxonomy field linked with Program taxonomy for badge',
            'display' => array(
                'default' => array(
                    'label' => 'above',
                    'module' => 'taxonomy',
                    'settings' => array(),
                    'type' => 'taxonomy_term_reference_link',
                    'weight' => '11',
                ),
            ),
            'entity_type' => 'achievement_entity',
            'field_name' => 'field_badge_entity_program',
            'label' => 'Program',
            'required' => 1,
            'settings' => array(
                'user_register_form' => FALSE,
            ),
            'widget' => array(
                'active' => 1,
                'module' => 'options',
                'settings' => array(),
                'type' => 'options_buttons',
                'weight' => '10',
            ),
        ),
    );

    // Exported field: 'achievement_entity-badges-field_badge_entity_recipients'.
    $fields['achievement_entity-badges-field_badge_entity_recipients'] = array(
        'field_config' => array(
            'active' => '1',
            'cardinality' => '1',
            'deleted' => '0',
            'entity_types' => array(),
            'field_name' => 'field_badge_entity_recipients',
            'field_permissions' => array(
                'type' => '0',
            ),
            'foreign keys' => array(
                'tid' => array(
                    'columns' => array(
                        'tid' => 'tid',
                    ),
                    'table' => 'taxonomy_term_data',
                ),
            ),
            'indexes' => array(
                'tid' => array(
                    0 => 'tid',
                ),
            ),
            'locked' => '0',
            'module' => 'taxonomy',
            'settings' => array(
                'allowed_values' => array(
                    0 => array(
                        'vocabulary' => 'badge_recipient_',
                        'parent' => '0',
                    ),
                ),
                'profile2_private' => FALSE,
            ),
            'translatable' => '1',
            'type' => 'taxonomy_term_reference',
        ),
        'field_instance' => array(
            'bundle' => 'badges',
            'default_value' => NULL,
            'deleted' => '0',
            'description' => 'Taxonomy field linked with Recipient taxonomy for badge.',
            'display' => array(
                'default' => array(
                    'label' => 'above',
                    'module' => 'taxonomy',
                    'settings' => array(),
                    'type' => 'taxonomy_term_reference_link',
                    'weight' => '9',
                ),
            ),
            'entity_type' => 'achievement_entity',
            'field_name' => 'field_badge_entity_recipients',
            'label' => 'Recipients',
            'required' => 1,
            'settings' => array(
                'user_register_form' => FALSE,
            ),
            'widget' => array(
                'active' => 1,
                'module' => 'options',
                'settings' => array(),
                'type' => 'options_select',
                'weight' => '8',
            ),
        ),
    );

    // Exported field: 'achievement_entity-badges-field_badge_entity_recommend'.
    $fields['achievement_entity-badges-field_badge_entity_recommend'] = array(
        'field_config' => array(
            'active' => '1',
            'cardinality' => '-1',
            'deleted' => '0',
            'entity_types' => array(),
            'field_name' => 'field_badge_entity_recommend',
            'field_permissions' => array(
                'type' => '0',
            ),
            'foreign keys' => array(
                'achievement_entity' => array(
                    'columns' => array(
                        'target_id' => 'bid',
                    ),
                    'table' => 'achievement_entity',
                ),
            ),
            'indexes' => array(
                'target_id' => array(
                    0 => 'target_id',
                ),
            ),
            'locked' => '0',
            'module' => 'entityreference',
            'settings' => array(
                'handler' => 'base',
                'handler_settings' => array(
                    'behaviors' => array(
                        'views-select-list' => array(
                            'status' => 0,
                        ),
                    ),
                    'sort' => array(
                        'direction' => 'ASC',
                        'field' => 'field_badge_entity_version:value',
                        'property' => 'bid',
                        'type' => 'none',
                    ),
                    'target_bundles' => array(
                        'badges' => 'badges',
                    ),
                ),
                'handler_submit' => 'Change handler',
                'profile2_private' => FALSE,
                'target_type' => 'achievement_entity',
            ),
            'translatable' => '1',
            'type' => 'entityreference',
        ),
        'field_instance' => array(
            'bundle' => 'badges',
            'deleted' => '0',
            'description' => '',
            'display' => array(
                'default' => array(
                    'label' => 'above',
                    'module' => 'entityreference',
                    'settings' => array(
                        'link' => FALSE,
                    ),
                    'type' => 'entityreference_label',
                    'weight' => '21',
                ),
            ),
            'entity_type' => 'achievement_entity',
            'field_name' => 'field_badge_entity_recommend',
            'label' => 'Badge Recommendation',
            'required' => 0,
            'settings' => array(
                'user_register_form' => FALSE,
            ),
            'widget' => array(
                'active' => 0,
                'module' => 'multiselect',
                'settings' => array(),
                'type' => 'multiselect',
                'weight' => '12',
            ),
        ),
    );

    // Exported field: 'achievement_entity-badges-field_badge_entity_type'.
    $fields['achievement_entity-badges-field_badge_entity_type'] = array(
        'field_config' => array(
            'active' => '1',
            'cardinality' => '1',
            'deleted' => '0',
            'entity_types' => array(),
            'field_name' => 'field_badge_entity_type',
            'field_permissions' => array(
                'type' => '0',
            ),
            'foreign keys' => array(
                'tid' => array(
                    'columns' => array(
                        'tid' => 'tid',
                    ),
                    'table' => 'taxonomy_term_data',
                ),
            ),
            'indexes' => array(
                'tid' => array(
                    0 => 'tid',
                ),
            ),
            'locked' => '0',
            'module' => 'taxonomy',
            'settings' => array(
                'allowed_values' => array(
                    0 => array(
                        'vocabulary' => 'badge_type',
                        'parent' => '0',
                    ),
                ),
                'profile2_private' => FALSE,
            ),
            'translatable' => '1',
            'type' => 'taxonomy_term_reference',
        ),
        'field_instance' => array(
            'bundle' => 'badges',
            'default_value' => NULL,
            'deleted' => '0',
            'description' => 'Taxonomy field linked with Badges Type taxonomy for badge',
            'display' => array(
                'default' => array(
                    'label' => 'above',
                    'module' => 'taxonomy',
                    'settings' => array(),
                    'type' => 'taxonomy_term_reference_link',
                    'weight' => '18',
                ),
            ),
            'entity_type' => 'achievement_entity',
            'field_name' => 'field_badge_entity_type',
            'label' => 'Type',
            'required' => 1,
            'settings' => array(
                'user_register_form' => FALSE,
            ),
            'widget' => array(
                'active' => 1,
                'module' => 'options',
                'settings' => array(),
                'type' => 'options_select',
                'weight' => '9',
            ),
        ),
    );

    // Exported field: 'achievement_entity-badges-field_badge_entity_unlock_image'.
    $fields['achievement_entity-badges-field_badge_entity_unlock_image'] = array(
        'field_config' => array(
            'active' => '1',
            'cardinality' => '1',
            'deleted' => '0',
            'entity_types' => array(),
            'field_name' => 'field_badge_entity_unlock_image',
            'field_permissions' => array(
                'type' => '0',
            ),
            'foreign keys' => array(
                'fid' => array(
                    'columns' => array(
                        'fid' => 'fid',
                    ),
                    'table' => 'file_managed',
                ),
            ),
            'indexes' => array(
                'fid' => array(
                    0 => 'fid',
                ),
            ),
            'locked' => '0',
            'module' => 'image',
            'settings' => array(
                'default_image' => 0,
                'profile2_private' => FALSE,
                'uri_scheme' => 'public',
            ),
            'translatable' => '1',
            'type' => 'image',
        ),
        'field_instance' => array(
            'bundle' => 'badges',
            'deleted' => '0',
            'description' => 'Upload image in png format. Maximum size 256kb according to Open Badge Infrastructure (OBI) complaint.',
            'display' => array(
                'default' => array(
                    'label' => 'above',
                    'module' => 'image',
                    'settings' => array(
                        'image_link' => '',
                        'image_style' => '110_110',
                    ),
                    'type' => 'image',
                    'weight' => '2',
                ),
            ),
            'entity_type' => 'achievement_entity',
            'field_name' => 'field_badge_entity_unlock_image',
            'label' => 'Unlocked image',
            'required' => 1,
            'settings' => array(
                'alt_field' => 0,
                'default_image' => 0,
                'file_directory' => '',
                'file_extensions' => 'png',
                'max_filesize' => '256 KB',
                'max_resolution' => '',
                'min_resolution' => '',
                'title_field' => 0,
                'user_register_form' => FALSE,
            ),
            'widget' => array(
                'active' => 1,
                'module' => 'image',
                'settings' => array(
                    'preview_image_style' => 'thumbnail',
                    'progress_indicator' => 'throbber',
                ),
                'type' => 'image_image',
                'weight' => '1',
            ),
        ),
    );

    // Exported field: 'achievement_entity-badges-field_badge_entity_version'.
    $fields['achievement_entity-badges-field_badge_entity_version'] = array(
        'field_config' => array(
            'active' => '1',
            'cardinality' => '1',
            'deleted' => '0',
            'entity_types' => array(),
            'field_name' => 'field_badge_entity_version',
            'field_permissions' => array(
                'type' => '0',
            ),
            'foreign keys' => array(
                'format' => array(
                    'columns' => array(
                        'format' => 'format',
                    ),
                    'table' => 'filter_format',
                ),
            ),
            'indexes' => array(
                'format' => array(
                    0 => 'format',
                ),
            ),
            'locked' => '0',
            'module' => 'text',
            'settings' => array(
                'max_length' => '255',
                'profile2_private' => FALSE,
            ),
            'translatable' => '1',
            'type' => 'text',
        ),
        'field_instance' => array(
            'bundle' => 'badges',
            'default_value' => NULL,
            'deleted' => '0',
            'description' => 'Version of badge according to Open Badge Infrastructure (OBI) complaint.',
            'display' => array(
                'default' => array(
                    'label' => 'above',
                    'module' => 'text',
                    'settings' => array(),
                    'type' => 'text_default',
                    'weight' => '1',
                ),
            ),
            'entity_type' => 'achievement_entity',
            'field_name' => 'field_badge_entity_version',
            'label' => 'Version',
            'required' => 1,
            'settings' => array(
                'text_processing' => '0',
                'user_register_form' => FALSE,
            ),
            'widget' => array(
                'active' => 1,
                'module' => 'text',
                'settings' => array(
                    'size' => '60',
                ),
                'type' => 'text_textfield',
                'weight' => '0',
            ),
        ),
    );

    // Exported field: 'achievement_entity-badges-field_badge_entity_year'.
    $fields['achievement_entity-badges-field_badge_entity_year'] = array(
        'field_config' => array(
            'active' => '1',
            'cardinality' => '1',
            'deleted' => '0',
            'entity_types' => array(),
            'field_name' => 'field_badge_entity_year',
            'field_permissions' => array(
                'type' => '0',
            ),
            'foreign keys' => array(
                'tid' => array(
                    'columns' => array(
                        'tid' => 'tid',
                    ),
                    'table' => 'taxonomy_term_data',
                ),
            ),
            'indexes' => array(
                'tid' => array(
                    0 => 'tid',
                ),
            ),
            'locked' => '0',
            'module' => 'taxonomy',
            'settings' => array(
                'allowed_values' => array(
                    0 => array(
                        'vocabulary' => 'year',
                        'parent' => '0',
                    ),
                ),
                'profile2_private' => FALSE,
            ),
            'translatable' => '1',
            'type' => 'taxonomy_term_reference',
        ),
        'field_instance' => array(
            'bundle' => 'badges',
            'default_value' => NULL,
            'deleted' => '0',
            'description' => 'Taxonomy field linked with Year taxonomy for badge.',
            'display' => array(
                'default' => array(
                    'label' => 'above',
                    'module' => 'taxonomy',
                    'settings' => array(),
                    'type' => 'taxonomy_term_reference_link',
                    'weight' => '17',
                ),
            ),
            'entity_type' => 'achievement_entity',
            'field_name' => 'field_badge_entity_year',
            'label' => 'Year',
            'required' => 1,
            'settings' => array(
                'user_register_form' => FALSE,
            ),
            'widget' => array(
                'active' => 1,
                'module' => 'options',
                'settings' => array(),
                'type' => 'options_select',
                'weight' => '11',
            ),
        ),
    );

    // Exported field: 'achievement_entity-badges-field_hierarchy'.
    $fields['achievement_entity-badges-field_hierarchy'] = array(
        'field_config' => array(
            'active' => '1',
            'cardinality' => '1',
            'deleted' => '0',
            'entity_types' => array(),
            'field_name' => 'field_hierarchy',
            'field_permissions' => array(
                'type' => '0',
            ),
            'foreign keys' => array(),
            'indexes' => array(
                'value' => array(
                    0 => 'value',
                ),
            ),
            'locked' => '0',
            'module' => 'list',
            'settings' => array(
                'allowed_values' => array(
                    0 => '0',
                    1 => '1',
                    2 => '2',
                    3 => '3',
                    4 => '4',
                    5 => '5',
                    6 => '6',
                    7 => '7',
                    8 => '8',
                    9 => '9',
                    10 => '10',
                    11 => '11',
                    12 => '12',
                    13 => '13',
                    14 => '14',
                    15 => '15',
                ),
                'allowed_values_function' => '',
                'profile2_private' => FALSE,
            ),
            'translatable' => '1',
            'type' => 'list_integer',
        ),
        'field_instance' => array(
            'bundle' => 'badges',
            'default_value' => NULL,
            'deleted' => '0',
            'description' => '',
            'display' => array(
                'default' => array(
                    'label' => 'above',
                    'module' => 'list',
                    'settings' => array(),
                    'type' => 'list_default',
                    'weight' => '20',
                ),
            ),
            'entity_type' => 'achievement_entity',
            'field_name' => 'field_hierarchy',
            'label' => 'Hierarchy',
            'required' => 0,
            'settings' => array(
                'user_register_form' => FALSE,
            ),
            'widget' => array(
                'active' => 1,
                'module' => 'options',
                'settings' => array(),
                'type' => 'options_select',
                'weight' => '13',
            ),
        ),
    );

    // Translatables
    // Included for use with string extractors like potx.
    t('URL describing the badge and criteria for earning the badge according to Open Badge Infrastructure (OBI) complaint.');
    t('Badge Recommendation');
    t('Criteria');
    t('Date when badge was issued according to Open Badge Infrastructure (OBI) complaint.');
    t('Date when the badge expires. If omitted, the badge never expires according to Open Badge Infrastructure (OBI) complaint.');
    t('Description');
    t('Description of the badge. Maximum of 128 characters according to Open Badge Infrastructure (OBI) complaint.');
    t('Earner-specific URL with information about how the specific Earer earned the badge according to Open Badge Infrastructure (OBI) complaint.');
    t('Evidence');
    t('Expiration Date');
    t('Hierarchy');
    t('Issued Date');
    t('Locked image');
    t('Program');
    t('Recipients');
    t('Taxonomy field linked with Badges Type taxonomy for badge');
    t('Taxonomy field linked with Program taxonomy for badge');
    t('Taxonomy field linked with Recipient taxonomy for badge.');
    t('Taxonomy field linked with Year taxonomy for badge.');
    t('Type');
    t('Unlocked image');
    t('Upload image in png format. Maximum size 256kb');
    t('Upload image in png format. Maximum size 256kb according to Open Badge Infrastructure (OBI) complaint.');
    t('Version');
    t('Version of badge according to Open Badge Infrastructure (OBI) complaint.');
    t('Year');

    return $fields;
}
